Bug 1078846 (CVE-2014-0150) - CVE-2014-0150 qemu: virtio-net: buffer overflow in virtio_net_handle_mac() function
Summary: CVE-2014-0150 qemu: virtio-net: buffer overflow in virtio_net_handle_mac() fu...
Keywords:
Status: NEW
Alias: CVE-2014-0150
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140411,repor...
Depends On: 1078308 1078605 1078849 1086775 1086776 1087112 1087126 1087140 1108461
Blocks: 1078852 1086694
TreeView+ depends on / blocked
 
Reported: 2014-03-20 11:59 UTC by Petr Matousek
Modified: 2019-08-19 07:48 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0420 normal SHIPPED_LIVE Moderate: qemu-kvm security update 2014-04-22 21:39:52 UTC
Red Hat Product Errata RHSA-2014:0421 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-22 21:39:32 UTC
Red Hat Product Errata RHSA-2014:0434 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-24 21:35:56 UTC
Red Hat Product Errata RHSA-2014:0435 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2014-04-24 21:35:47 UTC
Red Hat Product Errata RHSA-2014:0674 normal SHIPPED_LIVE Moderate: rhev-hypervisor6 3.4.0 security, bug fix, and enhancement update 2014-06-09 18:35:12 UTC

Description Petr Matousek 2014-03-20 11:59:49 UTC
A buffer overflow flaw was found in the way qemu processed MAC addresses table update requests from the guest.

A privileged guest user could use this flaw to corrupt qemu process memory on the host, which could potentially result in arbitrary code execution on the host with the privileges of the qemu process.

Acknowledgements:

This issue was discovered by Michael S. Tsirkin of Red Hat.

Comment 1 Petr Matousek 2014-03-20 12:07:33 UTC
Statement:

This issue does not affect the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does affect the qemu-kvm package as shipped with Red Hat Enterprise Linux 6. Future qemu-kvm updates in Red Hat Enterprise Linux 6 may address this flaw.

Comment 4 Petr Matousek 2014-04-11 13:00:16 UTC
Upstream patch submission:

http://article.gmane.org/gmane.comp.emulators.qemu/266713

Comment 5 Petr Matousek 2014-04-11 13:01:50 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1086776]

Comment 6 Petr Matousek 2014-04-11 13:01:54 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1086775]

Comment 10 errata-xmlrpc 2014-04-22 17:41:08 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0421 https://rhn.redhat.com/errata/RHSA-2014-0421.html

Comment 11 errata-xmlrpc 2014-04-22 17:42:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0420 https://rhn.redhat.com/errata/RHSA-2014-0420.html

Comment 12 errata-xmlrpc 2014-04-24 17:37:22 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2014:0435 https://rhn.redhat.com/errata/RHSA-2014-0435.html

Comment 13 errata-xmlrpc 2014-04-24 17:38:26 UTC
This issue has been addressed in following products:

  OpenStack 4 for RHEL 6

Via RHSA-2014:0434 https://rhn.redhat.com/errata/RHSA-2014-0434.html

Comment 14 Fedora Update System 2014-05-01 22:27:08 UTC
qemu-1.6.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2014-06-09 14:37:32 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0674 https://rhn.redhat.com/errata/RHSA-2014-0674.html

Comment 17 Fedora Update System 2014-12-01 19:01:06 UTC
xen-4.2.5-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-12-01 19:01:29 UTC
xen-4.3.3-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-12-12 04:01:58 UTC
xen-4.4.1-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.